SUBROUTINE DEALCAN
!****-------------------------------------------------------------------
!**** *DEALCAN* - Deallocate space for specific CANARI arrays
!****-------------------------------------------------------------------

USE PARKIND1  ,ONLY : JPRB
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK

USE YOMOBA   , ONLY : MUTILW
USE QALORI   , ONLY : QCAGUE   ,QCAOBS   ,QCAOBSET
USE QAGPSF   , ONLY : RSGHUM   ,RSGPHI
USE QAPDGU   , ONLY : NBPOINT  ,RMOY1    ,RMOY2    ,RMIN     ,&
 & RMAX     ,RPLACE  

IMPLICIT NONE

!-----------------------------------------------------------------------

REAL(KIND=JPRB) :: ZHOOK_HANDLE
IF (LHOOK) CALL DR_HOOK('DEALCAN',0,ZHOOK_HANDLE)
IF (ALLOCATED(MUTILW  )) DEALLOCATE(MUTILW  )

IF (ALLOCATED(QCAGUE  )) DEALLOCATE(QCAGUE  )
IF (ALLOCATED(QCAOBS  )) DEALLOCATE(QCAOBS  )
IF (ALLOCATED(QCAOBSET)) DEALLOCATE(QCAOBSET)
 
IF (ALLOCATED(RSGPHI  )) DEALLOCATE(RSGPHI  )
IF (ALLOCATED(RSGHUM  )) DEALLOCATE(RSGHUM  )

IF (ALLOCATED(NBPOINT )) DEALLOCATE(NBPOINT )
IF (ALLOCATED(RMOY1   )) DEALLOCATE(RMOY1   )
IF (ALLOCATED(RMOY2   )) DEALLOCATE(RMOY2   )
IF (ALLOCATED(RMIN    )) DEALLOCATE(RMIN    )
IF (ALLOCATED(RMAX    )) DEALLOCATE(RMAX    )
IF (ALLOCATED(RPLACE  )) DEALLOCATE(RPLACE  )

!-----------------------------------------------------------------------
IF (LHOOK) CALL DR_HOOK('DEALCAN',1,ZHOOK_HANDLE)
END SUBROUTINE DEALCAN
